# $Revision: 1.7 $, $Date: 2003/07/02 01:23:08 $
# todo:
# - fix descriptions
# - put proper cflags when building dynamic module
%include	/usr/lib/rpm/macros.python
%define module proctitle

Summary:	Python module to manipulate the raw 'argv[]' contents of a python process
Summary(pl):	Modu jzyka Python do manipulacji argv[] (w tym nazwy procesu)
Name:		python-%{module}
Version:	0.0.1
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://ftp.psychosis.com/python/%{module}-%{version}.tar.gz
# Source0-md5:	c135a34e47fd066e5d1461d881c05f95
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module to manipulate the raw 'argv[]' contents of a python
process. Allows to change process name during runtime.

%description -l pl
Modu jzyka Python do manipulacji argv[] (w tym take widocznej w np.
w top nazwy procesu).

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
export PYTHONPATH

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/proctitle/*.py[oc]
%attr(755,root,root) %{py_sitedir}/proctitle/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-proctitle.spec,v $
Revision 1.7  2003/07/02 01:23:08  blues
- cosmetics

Revision 1.6  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/02 11:06:25  ankry
- massive cleaning

Revision 1.3  2002/10/20 14:18:29  wrobell
- fixed setup section

Revision 1.2  2002/10/16 09:14:07  wrobell
- added module name macro
- fixed dynamic modules permissions
- adapterized

